package cn.timer.api.controller.disk.sevice;

import cn.timer.api.bean.disk.DiskCatalogue;
import cn.timer.api.bean.disk.DiskCloudDiskUser;
import cn.timer.api.config.enuminterface.JxglEnumInterface;
import cn.timer.api.dao.disk.DiskCloudDiskUserMapper;
import cn.timer.api.dto.disk.DiskCatalogueDto;
import cn.timer.api.dto.disk.DiskCatalogueParam;
import cn.timer.api.dto.disk.DiskCloudDiskUserParam;
import cn.timer.api.utils.ResultUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2021/12/29
 */
@Service
public class DiskCloudDiskUserServiceImpl implements DiskCloudDiskUserService {

    @Resource
    private DiskCloudDiskUserMapper diskCloudDiskUserMapper;

    @Override
    public boolean getDiskUserRole(DiskCatalogueDto diskCatalogueDto, DiskCatalogue catalogue) {
        if(StringUtils.isEmpty(catalogue) || StringUtils.isEmpty(diskCatalogueDto)){
            return false;
        }
        if(catalogue.getCreateUserId().equals(diskCatalogueDto.getUserId())){
            return true;
        }
        DiskCloudDiskUser dcdUser = DiskCloudDiskUser.builder().build().selectOne(new QueryWrapper<DiskCloudDiskUser>()
                .lambda().eq(DiskCloudDiskUser::getUserId,diskCatalogueDto.getUserId()));
        if(StringUtils.isEmpty(dcdUser)){
            return false;
        }
        return false;
    }

    @Override
    public List<DiskCatalogue> getDiskCatalogueList(DiskCatalogueParam diskCatalogueParam) {
        return diskCloudDiskUserMapper.getDiskCatalogueList(diskCatalogueParam);
    }
}
