package cn.timer.api.controller.disk.sevice;

import cn.timer.api.bean.disk.DiskFiles;
import cn.timer.api.dao.disk.DiskFilesMapper;
import cn.timer.api.dto.disk.DiskCatalogueParam;
import cn.timer.api.dto.disk.DiskFileCatalogueDto;
import cn.timer.api.utils.FileUtils;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2021/12/29
 */
@Service
public class DiskFilesServiceImpl implements DiskFilesService {

    @Resource
    private DiskFilesMapper diskFilesMapper;


    @Override
    public List<DiskFiles> getDiskFiles(DiskCatalogueParam diskCatalogueParam) {
        return diskFilesMapper.selectListByParam(diskCatalogueParam);
    }

    @Override
    public DiskFileCatalogueDto getFileCount(Integer userId) {
        DiskFileCatalogueDto dto = diskFilesMapper.selectFileCount(userId);
        if(StringUtils.isEmpty(dto)){
            dto = new DiskFileCatalogueDto();
        }
        dto.setShowCountSize(FileUtils.getSize(dto.getCountSize()));
        dto.setSize(1*1024*1024*1024L);
        //dto.setShowSize(FileUtils.getSize(dto.getSize()));
        dto.setShowSize("1G");
        return dto;
    }
}
