package cn.timer.api.dto.disk;

import cn.timer.api.config.exception.ValidationMsg;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2021-12-27 10:05:49
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DiskFilesDto implements Serializable{
	
	private static final long serialVersionUID = -1230023773946170921L;

	/**
	 * 资源目录ID
	 */
	@NotNull(message = ValidationMsg.NOTNULL)
	@ApiModelProperty(value = "资源目录ID")
	private Integer catalogueId;

	/**
	 * 0云盘，1文件夹
	 */
	@NotNull(message = ValidationMsg.NOTNULL)
	@ApiModelProperty(value = "0云盘，1文件夹")
	private Integer type;

}
